Creating sample plugin (redmine v. 0.9.0)

Added by Maxim Novikov almost 8 years ago

I've been trying to create sample plugin like it's mentioned in the tutorial at http://www.redmine.org/wiki/redmine/Plugin_Tutorial.
And you can see result below. Can somebody help me with this problem?..

[csbubbles@fedora redmine-0.9.0]$ ruby script/generate redmine_plugin Polls

/opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:589:in `real_connect': Unknown database 'redmine_development' (Mysql::Error)
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:589:in `connect'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:203:in `initialize'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:75:in `new'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:75:in `mysql_connection'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:223:in `send'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:223:in `new_connection'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:245:in `checkout_new_connection'
from /opt/redmine-0.9.0/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:188:in `checkout'
... 81 levels...
from /opt/redmine-0.9.0/vendor/rails/railties/lib/commands/generate.rb:1
from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
from script/generate:3

Replies (1)

RE: Creating sample plugin (redmine v. 0.9.0) - Added by Maxim Novikov almost 8 years ago

Thanks very much to everybody. Case is closed.
The simplest solution if you use Redmine for plugin development only:
change database parameter from redmine_development to redmine in the 'development' section.

(1-1/1)